
module "appgw-ingress-k8s-cluster" {
  source = "terraform-aws-modules/appgw-ingress-k8s-cluster/aws"
  version = "0.1.1"
  aks_agent_count = var.aks_agent_count
  aks_agent_os_disk_size = var.aks_agent_os_disk_size
  aks_agent_vm_size = var.aks_agent_vm_size
  aks_dns_prefix = var.aks_dns_prefix
  aks_dns_service_ip = var.aks_dns_service_ip
  aks_docker_bridge_cidr = var.aks_docker_bridge_cidr
  aks_enable_rbac = var.aks_enable_rbac
  aks_name = var.aks_name
  aks_service_cidr = var.aks_service_cidr
  aks_service_principal_app_id = var.aks_service_principal_app_id
  aks_service_principal_client_secret = var.aks_service_principal_client_secret
  aks_service_principal_object_id = var.aks_service_principal_object_id
  aks_subnet_address_prefix = var.aks_subnet_address_prefix
  aks_subnet_name = var.aks_subnet_name
  app_gateway_name = var.app_gateway_name
  app_gateway_sku = var.app_gateway_sku
  app_gateway_subnet_address_prefix = var.app_gateway_subnet_address_prefix
  app_gateway_tier = var.app_gateway_tier
  kubernetes_version = var.kubernetes_version
  location = var.location
  public_ssh_key_path = var.public_ssh_key_path
  resource_group_name = var.resource_group_name
  tags = var.tags
  virtual_network_address_prefix = var.virtual_network_address_prefix
  virtual_network_name = var.virtual_network_name
  vm_user_name = var.vm_user_name
}
